API Reference
PBCP
Context API

Context API

Read the latest customer state after you have sent events.

Base URL: https://pbcp-api.pcampus.co

How to connect

GET https://pbcp-api.pcampus.co/v1/context/customers/CUST-1
Authorization: Bearer pip_YOUR_API_KEY
x-tenant-id: your-tenant-id

Sample response

{
  "customerId": "CUST-1",
  "displayName": "Alex Rivera",
  "status": "active",
  "updatedAt": "2026-07-15T10:15:00.000Z"
}
StatusWhen
200Context found
401Invalid token
404No context for this customer yet

For a readable narrative, use the Story API